org.apache.uima.search

## Class IndexingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.search.IndexingException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class IndexingException
      extends UIMAException

  Thrown by the Index to indicate that a failure has occurred during indexing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INCOMPATIBLE_INDEX_VERSION` Message key for a standard UIMA exception message: The semantic search index at "{0}" was built with a UIMA version prior to v2.0.
    `static String` | `INVALID_ATTRIBUTE_COMBINATION_IN_BUILD_ITEM` Message key for a standard UIMA exception message: Invalid attributes in build item {0}: The combination [{1}] is not allowed.
    `static String` | `INVALID_FILTER_ESCAPE` Message key for a standard UIMA exception message: Invalid filter expression: Invalid escape sequence {0}.
    `static String` | `INVALID_FILTER_EXPECTED_DIGIT` Message key for a standard UIMA exception message: Invalid filter expression: Expected a digit but found {0}.
    `static String` | `INVALID_FILTER_EXPECTED_DIGIT_OR_POINT` Message key for a standard UIMA exception message: Invalid filter expression: Expected a digit or '.' but found {0}.
    `static String` | `INVALID_FILTER_EXPECTED_END` Message key for a standard UIMA exception message: Invalid filter expression: Expected the end of the expression but found {0}.
    `static String` | `INVALID_FILTER_EXPECTED_LITERAL` Message key for a standard UIMA exception message: Invalid filter expression: Expected a string or number but found '{0}'.
    `static String` | `INVALID_FILTER_EXPECTED_OPERATOR` Message key for a standard UIMA exception message: Invalid filter expression: Expected operator but found {0}.
    `static String` | `INVALID_FILTER_FEATURE_NAME` Message key for a standard UIMA exception message: Invalid filter expression: '{0}' cannot start a feature name.
    `static String` | `INVALID_FILTER_STRING_OPERATOR` Message key for a standard UIMA exception message: Invalid filter expression: The operator {0} cannot be applied to strings.
    `static String` | `INVALID_FILTER_UNTERMINATED_STRING` Message key for a standard UIMA exception message: Invalid filter expression: Unterminated String: {0}.
    `static String` | `UNKNOWN_FEATURE_IN_BUILD_ITEM` Message key for a standard UIMA exception message: Feature {0} referenced in build item {1} is not known.
    `static String` | `UNSUPPORTED_FILTER_SYNTAX` Message key for a standard UIMA exception message: The filter syntax {0} is not supported by this implementation.

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexingException()` Creates a new exception with a null message.
    `IndexingException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `IndexingException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `IndexingException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `IndexingException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `IndexingException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### UNSUPPORTED_FILTER_SYNTAX

          public static final String UNSUPPORTED_FILTER_SYNTAX

      Message key for a standard UIMA exception message: The filter syntax {0} is not supported by this implementation.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_FEATURE_NAME

          public static final String INVALID_FILTER_FEATURE_NAME

      Message key for a standard UIMA exception message: Invalid filter expression: '{0}' cannot start a feature name.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_EXPECTED_LITERAL

          public static final String INVALID_FILTER_EXPECTED_LITERAL

      Message key for a standard UIMA exception message: Invalid filter expression: Expected a string or number but found '{0}'.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_ESCAPE

          public static final String INVALID_FILTER_ESCAPE

      Message key for a standard UIMA exception message: Invalid filter expression: Invalid escape sequence {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_EXPECTED_DIGIT_OR_POINT

          public static final String INVALID_FILTER_EXPECTED_DIGIT_OR_POINT

      Message key for a standard UIMA exception message: Invalid filter expression: Expected a digit or '.' but found {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_EXPECTED_DIGIT

          public static final String INVALID_FILTER_EXPECTED_DIGIT

      Message key for a standard UIMA exception message: Invalid filter expression: Expected a digit but found {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_EXPECTED_END

          public static final String INVALID_FILTER_EXPECTED_END

      Message key for a standard UIMA exception message: Invalid filter expression: Expected the end of the expression but found {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_UNTERMINATED_STRING

          public static final String INVALID_FILTER_UNTERMINATED_STRING

      Message key for a standard UIMA exception message: Invalid filter expression: Unterminated String: {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_EXPECTED_OPERATOR

          public static final String INVALID_FILTER_EXPECTED_OPERATOR

      Message key for a standard UIMA exception message: Invalid filter expression: Expected operator but found {0}.
      See Also:
        Constant Field Values

    - #### INVALID_FILTER_STRING_OPERATOR

          public static final String INVALID_FILTER_STRING_OPERATOR

      Message key for a standard UIMA exception message: Invalid filter expression: The operator {0} cannot be applied to strings.
      See Also:
        Constant Field Values

    - #### UNKNOWN_FEATURE_IN_BUILD_ITEM

          public static final String UNKNOWN_FEATURE_IN_BUILD_ITEM

      Message key for a standard UIMA exception message: Feature {0} referenced in build item {1} is not known.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_COMBINATION_IN_BUILD_ITEM

          public static final String INVALID_ATTRIBUTE_COMBINATION_IN_BUILD_ITEM

      Message key for a standard UIMA exception message: Invalid attributes in build item {0}: The combination [{1}] is not allowed.
      See Also:
        Constant Field Values

    - #### INCOMPATIBLE_INDEX_VERSION

          public static final String INCOMPATIBLE_INDEX_VERSION

      Message key for a standard UIMA exception message: The semantic search index at "{0}" was built with a UIMA version prior to v2.0. This index format is no longer supported. You will need to delete your index and reindex your content.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IndexingException

          public IndexingException()

      Creates a new exception with a null message.

    - #### IndexingException

          public IndexingException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### IndexingException

          public IndexingException(String aResourceBundleName,
                                   String aMessageKey,
                                   Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### IndexingException

          public IndexingException(String aResourceBundleName,
                                   String aMessageKey,
                                   Object[] aArguments,
                                   Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### IndexingException

          public IndexingException(String aMessageKey,
                                   Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### IndexingException

          public IndexingException(String aMessageKey,
                                   Object[] aArguments,
                                   Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.